package xyz.wbsite.module.admin.ent;

import xyz.wbsite.frame.excel.annotation.ExcelNote;
import xyz.wbsite.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import xyz.wbsite.frame.excel.annotation.ExcelSheet;
import xyz.wbsite.frame.base.BaseEntity;

/**
 * LOCATIONS - 路径配置
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-08
 */
@ExcelSheet("路径配置")
public class Locations extends BaseEntity {

    /**
     * SERVICES_ID - 服务主键
     */
    @ExcelProperty("服务主键")
    @ExcelNote("")
    private Long servicesId;
    /**
     * LOCAL_TITLE - 配置标题
     */
    @ExcelProperty("配置标题")
    @ExcelNote("")
    private String localTitle;
    /**
     * LOCAL_NOTE - 配置备注
     */
    @ExcelProperty("配置备注")
    @ExcelNote("")
    private String localNote;
    /**
     * LOCAL_PATH - 配置路径
     */
    @ExcelProperty("配置路径")
    @ExcelNote("")
    private String localPath;
    /**
     * LOCAL_VALID - 是否启用
     */
    @ExcelProperty("是否启用")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean localValid;
    /**
     * FILTER - 启用过滤
     */
    @ExcelProperty("启用过滤")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean filter;
    /**
     * FILTER_CONF - 过滤配置
     */
    @ExcelProperty("过滤配置")
    @ExcelNote("")
    private String filterConf;

    public Long getServicesId() {
        return this.servicesId;
    }

    public void setServicesId(Long servicesId) {
        this.servicesId = servicesId;
    }

    public String getLocalTitle() {
        return this.localTitle;
    }

    public void setLocalTitle(String localTitle) {
        this.localTitle = localTitle;
    }

    public String getLocalNote() {
        return this.localNote;
    }

    public void setLocalNote(String localNote) {
        this.localNote = localNote;
    }

    public String getLocalPath() {
        return this.localPath;
    }

    public void setLocalPath(String localPath) {
        this.localPath = localPath;
    }

    public Boolean getLocalValid() {
        return this.localValid;
    }

    public void setLocalValid(Boolean localValid) {
        this.localValid = localValid;
    }

    public Boolean getFilter() {
        return this.filter;
    }

    public void setFilter(Boolean filter) {
        this.filter = filter;
    }

    public String getFilterConf() {
        return this.filterConf;
    }

    public void setFilterConf(String filterConf) {
        this.filterConf = filterConf;
    }
}